MozillaZine

Search Type B 20150912

Talk about add-ons and extension development.
felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted March 3rd, 2007, 2:10 pm

I just checked it on my machine with W2K and FF 2.0.0.2. I got an error message, saying that the plug-in was only compatible with FF 1.5-2.0. What can I do about this?

Cheers,
F.
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted March 4th, 2007, 3:46 am

I have no idea why it doesn't use the compatibility information it received from the updateURL, but you could disable compatibility checking by adding extensions.checkCompatibility to about:config.

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted March 21st, 2007, 3:08 am

Once again: today with the latest update for FF 2.0.0.3 (on my machine at work with English Windows XP) I got the message, that searchtype B would be deactivated because of incompatibility.

Could you please check that, Dorando?

Thanks a lot,
Felix
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted March 22nd, 2007, 2:11 am

Compatibility information had been updated yesterday, seemingly after you post, so you likely need to 'Find Updates'. As before you might want to add a boolean extensions.checkCompatibility to about:config.
Support mozilla.dorando.at through donations/contributions.

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted March 28th, 2007, 8:03 am

Thanks a lot,

the extension seems to be working fine again.

dorando wrote:As before you might want to add a boolean extensions.checkCompatibility to about:config.


Sorry, I don't get this. What do you mean here?
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted March 29th, 2007, 1:03 am

Load <a href="http://kb.mozillazine.org/index.php?title=about:config&oldid=26276">about:config</a>, right-click on the list, and select New > Boolean.
Support mozilla.dorando.at through donations/contributions.

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted April 2nd, 2007, 1:49 pm

dorando wrote:Load <a href="http://kb.mozillazine.org/index.php?title=about:config&oldid=26276">about:config</a>, right-click on the list, and select New > Boolean.


What would this be good for?
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted April 3rd, 2007, 1:09 am

For disabling extension compatibility checking at upgrade or installation.
Support mozilla.dorando.at through donations/contributions.

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted July 18th, 2007, 4:27 am

Once again the extension gets disabled during update to FF 2.0.0.5. I don't want to disable update check in general.
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted July 18th, 2007, 7:43 am

Compatibility information has been updated, you likely need to click on Tools > Add-ons > Find Updates (ignore the incorrect message at the top).

felbre wrote:I don't want to disable update check in general.
You could disable compatibility checking temporarily as the application only checks at upgrade and installation.
Support mozilla.dorando.at through donations/contributions.

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted July 19th, 2007, 4:56 am

Thanks a lot for the quick reaction! The 2nd update on another PC at night went fine!
IE rulez ;-)

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted July 31st, 2007, 1:01 am

Once again with the next update FF 2.0.0.6 the add-on is not compatible. Wouldn't it be possible to set up a switch so that it fits with all future versions of FF 2.0? All my other add-ons don't have that problem. How come?
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted July 31st, 2007, 2:08 am

Compatibility information has been updated.
felbre wrote:How come?
Other extensions claim support with unreleased version which I feel is wrong (as previously stated in the <a href="http://forums.mozillazine.org/viewtopic.php?p=2206294#2206294">undoclosetab thread</a>). If you don't care about the forced compatibility checking, simply disable it...

felbre

User avatar
 
Posts: 20
Joined: May 31st, 2005, 7:17 am
Location: Geh€im, Germany

Post Posted September 19th, 2007, 1:03 am

Once again SearchTypeB would have to be adjusted to latest release Firefox 2.0.0.7.

Thank you,
Felix
IE rulez ;-)

dorando
 
Posts: 1203
Joined: January 9th, 2004, 9:57 am

Post Posted September 20th, 2007, 2:59 am

Compatibility information has been updated.
Support mozilla.dorando.at through donations/contributions.

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 1 guest